var template_limitedvaluationview = function( static )
{
	this.static = static;
	this.elements = {
			vehicleYear : new App.TemplateElement.FieldComponent('vehicleYear'),
			category : new App.TemplateElement.FieldComponent('category'),
			make : new App.TemplateElement.FieldComponent('make'),
			model : new App.TemplateElement.FieldComponent('model'),
			type : new App.TemplateElement.FieldComponent('type'),
			mmCode : new App.TemplateElement.LabeledText('mmCode'),
			fuelType : new App.TemplateElement.FieldComponent('fuelType'),
			transmissionType : new App.TemplateElement.FieldComponent('transmissionType'),
			condition : new App.TemplateElement.FieldComponent('condition'),
			exteriorColour : new App.TemplateElement.FieldComponent('exteriorColour'),
			interiorColour : new App.TemplateElement.FieldComponent('interiorColour'),
			upholstery : new App.TemplateElement.FieldComponent('upholstery'),
			papers : new App.TemplateElement.FieldComponent('papers'),
			natis : new App.TemplateElement.FieldComponent('natis'),
			spareKeys : new App.TemplateElement.FieldComponent('spareKeys'),
			fullServiceHistory : new App.TemplateElement.FieldComponent('fullServiceHistory'),
			registrationNumber : new App.TemplateElement.FieldComponent('registrationNumber'),
			vinNumber : new App.TemplateElement.FieldComponent('vinNumber'),
			engineNumber : new App.TemplateElement.FieldComponent('engineNumber'),
			km : new App.TemplateElement.FieldComponent('km'),
			fshNotes : new App.TemplateElement.FieldComponent('fshNotes'),
			bodyWork : new App.TemplateElement.FieldComponent('bodyWork'),
			damages : new App.TemplateElement.GroupComponent('damages'),
			damageTotal : new App.TemplateElement.Text('damageTotal'),
			damageNotes : new App.TemplateElement.FieldComponent('damageNotes'),
			previousRepairsNoted : new App.TemplateElement.FieldComponent('previousRepairsNoted'),
			previousRepairsNotes : new App.TemplateElement.FieldComponent('previousRepairsNotes'),
			accessories : new App.TemplateElement.GroupComponent('accessories'),
			accessoryNotes : new App.TemplateElement.FieldComponent('accessoryNotes'),
			mainImage : new App.TemplateElement.FieldComponent('mainImage'),
			frontImage : new App.TemplateElement.FieldComponent('frontImage'),
			leftImage : new App.TemplateElement.FieldComponent('leftImage'),
			rightImage : new App.TemplateElement.FieldComponent('rightImage'),
			backImage : new App.TemplateElement.FieldComponent('backImage'),
			interiorImage : new App.TemplateElement.FieldComponent('interiorImage'),
			engineImage : new App.TemplateElement.FieldComponent('engineImage'),
			natisImage : new App.TemplateElement.FieldComponent('natisImage'),
			clubs : new App.TemplateElement.FieldComponent('clubs'),
			print : new App.TemplateElement.ConstructorComponentCollection('print'),
			sighted : new App.TemplateElement.FieldComponent('sighted'),
            licenseDiscExpired : new App.TemplateElement.FieldComponent('licenseDiscExpired'),

			infCreated : new App.TemplateElement.Text('infCreated'),
			infValuationNumber : new App.TemplateElement.Text('infValuationNumber'),
			infReferenceNumber : new App.TemplateElement.Text('infReferenceNumber'),
			infStatus : new App.TemplateElement.Text('infStatus'),
			infCreatedBy : new App.TemplateElement.Text('infCreatedBy'),
			infValuator : new App.TemplateElement.Text('infValuator'),
			infSalesUser : new App.TemplateElement.Text('infSalesUser'),
			infLoadedOnPriceGuide : new App.TemplateElement.Text('infLoadedOnPriceGuide'),
			infTradePrice : new App.TemplateElement.Text('infTradePrice'),
			infRetailPrice : new App.TemplateElement.Text('infRetailPrice'),
            infListPrice : new App.TemplateElement.Text('infListPrice'),

			firstName : new App.TemplateElement.FieldComponent('firstName'),
			familyName : new App.TemplateElement.FieldComponent('familyName'),
			idNumber : new App.TemplateElement.FieldComponent('idNumber'),
			mobile : new App.TemplateElement.FieldComponent('mobile'),
			email : new App.TemplateElement.FieldComponent('email'),
			department : new App.TemplateElement.FieldComponent('department'),
			region : new App.TemplateElement.FieldComponent('region'),
			city : new App.TemplateElement.FieldComponent('city'),
			street : new App.TemplateElement.FieldComponent('street'),
			requiredPrice : new App.TemplateElement.FieldComponent('requiredPrice'),

			salesProfile : new App.TemplateElement.FieldComponent('salesProfile'),
			salesAmountOffered : new App.TemplateElement.FieldComponent('salesAmountOffered'),
			salesComments : new App.TemplateElement.FieldComponent('salesComments'),

			amountOffered : new App.TemplateElement.FieldComponent('amountOffered'),
			overAllowance : new App.TemplateElement.FieldComponent('overAllowance'),
			standInValue : new App.TemplateElement.FieldComponent('standInValue'),
			projectedRetail : new App.TemplateElement.FieldComponent('projectedRetail'),
			plannedMargin : new App.TemplateElement.FieldComponent('plannedMargin'),

			stockNumber : new App.TemplateElement.FieldComponent('stockNumber'),

			// PricingHistory grid

			gridPricingHistoryColumnHeaders : new App.TemplateElement.ConstructorComponentCollection('gridPricingHistoryColumnHeaders'),
			gridPricingHistoryRowRepeater   : new App.TemplateElement.ConstructorComponentCollection('gridPricingHistoryRowRepeater')

		};
	this.construct = function()
	{
		//mobi menu
		var isMobile = 'none' == $('#mobiCheck').css('display');
		if (isMobile)
		{
			// show the mobi menu && hide old menu 
			$("#MobiAuctionPriceGuideMenu").show();
			$("#MobiPortalMenu").hide();
			 
			// Check active state
			$("#mobiAuctionBtn").removeClass("active");
			$("#mobiPriceGuideBtn").removeClass("active");
			$("#mobiValuationsBtn").addClass("active");
		}
		
		$("#mobiPriceGuideBtn").click(function() {
			 
			window.location.hash = '#/priceguide';
		});
		
		$("#mobiAuctionBtn").click(function() {
			
			window.location.hash = '#/auction';
		});
		
		$("#mobiValuationsBtn").click(function() {
			
			window.location.hash = '#/valuations';
		});
		
		
		$("#customerDetailsClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#customerDetails").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#customerDetails").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#valuationDetailsClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#valuationDetails").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#valuationDetails").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#pricingDetailsClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#pricingDetails").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#pricingDetails").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#vSpecsClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#vSpecs").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#vSpecs").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#damagesClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#damages").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#damages").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#accessoriesClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#accessoriesOpen").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#accessoriesOpen").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		$("#photoClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#photo").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#photo").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		
		
		
	};
	this.destruct = function()
	{
		$('#frmValuationView').data('validator', null);
	};
};