var template_nomatch = function( static )
{
	this.static   = static;
	this.elements = {
			dateFrom : new App.TemplateElement.FieldComponent('dateFrom'),
			dateTo : new App.TemplateElement.FieldComponent('dateTo'),
			group : new App.TemplateElement.FieldComponent('group'),
			groupDivision : new App.TemplateElement.FieldComponent('groupDivision'),
			company : new App.TemplateElement.FieldComponent('company')
		};
	this.ti = null;
	this.init = function( ti ) {
		this.ti = ti;
		App.DataStore.loadSelectListData('groups', true, 'Company', 'Group.SelectList');
		App.API.getTask(
				'reportNoMatch', 'Report', 'Report.NoMatch',
				null, {}, function(){}, _w.taskContractError
			);
		this.ti.hydrate({
			'dateFrom' : {
				type  : 'date',
				id    : 'dateFrom',
				title : 'Date from',
				style : 'datepicker',
				value : ''
			},
			'dateTo' : {
				type  : 'date',
				id    : 'dateTp',
				title : 'Date to',
				style : 'datepicker',
				value : ''
			}
		});
	};
	this.construct = function() {
		$('#frmNoMatch').validate({
			rules: {
				dateFrom: {required: false, dateISO: true},
				dateTo: {required: false, dateISO: true}
			},
			messages: {
				dateFrom: {
					dateISO: "Must be a valid date."
				},
				dateTo: {
					dateISO: "Must be a valid date."
				}
			},
			submitHandler: function( form ) {
				var data = {Report: _t['nomatch'].harvest()};
				App.API.execTask(
						'reportNoMatch', data, {},
						function () {}, _w.taskExecError,
						'EXPORT', true
				);
			}
		});
		$('#btnReport').prop('disabled', false);
	};
	this.destruct = function() {};
};