var template_publicvaluation = function( static )
{
	this.static = static;
	this.elements = {
			vehicleYear : new App.TemplateElement.FieldComponent('vehicleYear'),
			category : new App.TemplateElement.FieldComponent('category'),
			make : new App.TemplateElement.FieldComponent('make'),
			model : new App.TemplateElement.FieldComponent('model'),
			type : new App.TemplateElement.FieldComponent('type'),
			fuelType : new App.TemplateElement.FieldComponent('fuelType'),
			transmissionType : new App.TemplateElement.FieldComponent('transmissionType'),
			condition : new App.TemplateElement.FieldComponent('condition'),
			exteriorColour : new App.TemplateElement.FieldComponent('exteriorColour'),
			interiorColour : new App.TemplateElement.FieldComponent('interiorColour'),
			upholstery : new App.TemplateElement.FieldComponent('upholstery'),
			papers : new App.TemplateElement.FieldComponent('papers'),
			natis : new App.TemplateElement.FieldComponent('natis'),
			spareKeys : new App.TemplateElement.FieldComponent('spareKeys'),
			fullServiceHistory : new App.TemplateElement.FieldComponent('fullServiceHistory'),
			registrationNumber : new App.TemplateElement.FieldComponent('registrationNumber'),
			vinNumber : new App.TemplateElement.FieldComponent('vinNumber'),
			engineNumber : new App.TemplateElement.FieldComponent('engineNumber'),
			km : new App.TemplateElement.FieldComponent('km'),
			fshNotes : new App.TemplateElement.FieldComponent('fshNotes'),
			bodyWork : new App.TemplateElement.FieldComponent('bodyWork'),
			
			damages : new App.TemplateElement.GroupComponent('damages'),
			
			damageTotal : new App.TemplateElement.Text('damageTotal'),
			damageNotes : new App.TemplateElement.FieldComponent('damageNotes'),
			previousRepairsNotes : new App.TemplateElement.FieldComponent('previousRepairsNotes'),
			previousRepairsNoted : new App.TemplateElement.FieldComponent('previousRepairsNoted'),
			accessories : new App.TemplateElement.GroupComponent('accessories'),
			accessoryNotes : new App.TemplateElement.FieldComponent('accessoryNotes'),
			mainImage : new App.TemplateElement.FieldComponent('mainImage'),
			frontImage : new App.TemplateElement.FieldComponent('frontImage'),
			leftImage : new App.TemplateElement.FieldComponent('leftImage'),
			rightImage : new App.TemplateElement.FieldComponent('rightImage'),
			backImage : new App.TemplateElement.FieldComponent('backImage'),
			interiorImage : new App.TemplateElement.FieldComponent('interiorImage'),
			engineImage : new App.TemplateElement.FieldComponent('engineImage'),
			natisImage : new App.TemplateElement.FieldComponent('natisImage'),
			print : new App.TemplateElement.ConstructorComponentCollection('print'),

			firstName : new App.TemplateElement.FieldComponent('firstName'),
			familyName : new App.TemplateElement.FieldComponent('familyName'),
			idNumber : new App.TemplateElement.FieldComponent('idNumber'),
			mobile : new App.TemplateElement.FieldComponent('mobile'),
			email : new App.TemplateElement.FieldComponent('email'),
			confirmEmail : new App.TemplateElement.FieldComponent('confirmEmail'),
			region : new App.TemplateElement.FieldComponent('region'),
			city : new App.TemplateElement.FieldComponent('city'),
			
			publicCentre : new App.TemplateElement.FieldComponent('publicCentre'),
			
			
			street : new App.TemplateElement.FieldComponent('street'),
			requiredPrice : new App.TemplateElement.FieldComponent('requiredPrice'),


		};
	this.construct = function()
	{
		
		/*var isMobile = window.matchMedia("only screen and (max-width: 760px)");
		// do a check for mobile file uploads...
		if (!isMobile.matches)
		{
			alert('Your Phone does not support image uploads .');
		}*/
		
		$('#PublicMenu li.select_page').removeClass('select_page');
		$('#PublicMenu a[href="#/publicvaluation"]').parent().addClass('select_page');
		$('#terms').parent().addClass("acceptTerms");
		
		$("#customerDetailsClick").click(function(){
				 if($(this).hasClass("open")){
		          $(this).removeClass("open");
		          $(this).addClass("closed");
		          $("#customerDetails").hide("slow");
		        } else {
		          $(this).removeClass("closed");
		          $(this).addClass("open");
		          $("#customerDetails").show("slow");
		        }
				 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		 });
		
		$("#vehicleSpecificationsClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#vehicleSpecifications").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#vehicleSpecifications").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		});
		 
		$("#damagesClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $(".damages").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $(".damages").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		 });
		
		 $("#accessoriesClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $(".accessories").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $(".accessories").show("slow");
	        }
			 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		 });
		
		
		 $("#photosClick").click(function(){
			 if($(this).hasClass("open")){
	          $(this).removeClass("open");
	          $(this).addClass("closed");
	          $("#photos").hide("slow");
	        } else {
	          $(this).removeClass("closed");
	          $(this).addClass("open");
	          $("#photos").show("slow");
	        }
		 $("i",this).toggleClass("icon-white-arrow-up icon-white-arrow-down");
		 });
		
		// add the new notes here + the format is in such a way that they dont want the : on the end.
		 $(".damages-comments1").html("Damages comments: i.e. Scratches, Dents, Paintwork, etc.");
		
	};
	this.destruct = function() {};
};